curl --request GET \
--url https://services.leadconnectorhq.com/forms/submissions \
--header 'Authorization: Bearer <token>' \
--header 'Version: <version>'{
"submissions": [
{
"id": "38303ec7-629a-49e2-888a-cf8bf0b1f97e",
"contactId": "DWQ45t2IPVxi9LDu1wBl",
"createdAt": "2021-06-23T06:07:04.000Z",
"formId": "YSWdvS4Is98wtIDGnpmI",
"name": "test",
"email": "test@test.com",
"others": {
"__submissions_other_field__": "john@deo.com",
"__custom_field_id__": "20",
"eventData": {
"fbc": "fb.1.123456789.987654321",
"fbp": "fbp.1.987654321.123456789",
"page": {
"url": "https://example.com",
"title": "Example Page"
},
"type": "page-visit",
"domain": "example.com",
"medium": "form",
"source": "Direct traffic",
"version": "v3",
"adSource": "example-ad-source",
"mediumId": "medium-id-123",
"parentId": "parent-id-456",
"referrer": "https://staging.gohighlevel.com",
"fbEventId": "event-id-789",
"timestamp": 1234567890,
"parentName": "Parent Form",
"fingerprint": "example-fingerprint",
"pageVisitType": "form",
"contactSessionIds": {
"ids": [
"session1",
"session2"
]
}
},
"fieldsOriSequance": [
"full_name",
"first_name",
"last_name",
"phone",
"email"
],
"pdfUrl": "https://storage.googleapis.com/gohighlevel-forms-pdfs/location/ve9EPM428h8vShlRW1KT/form/DWQ45t2IPVxi9LDu1wBl/submission-pdf/38303ec7-629a-49e2-888a-cf8bf0b1f97e.pdf"
}
}
],
"meta": {
"total": 1,
"currentPage": 1,
"nextPage": null,
"prevPage": null
}
}Get Forms Submissions
curl --request GET \
--url https://services.leadconnectorhq.com/forms/submissions \
--header 'Authorization: Bearer <token>' \
--header 'Version: <version>'{
"submissions": [
{
"id": "38303ec7-629a-49e2-888a-cf8bf0b1f97e",
"contactId": "DWQ45t2IPVxi9LDu1wBl",
"createdAt": "2021-06-23T06:07:04.000Z",
"formId": "YSWdvS4Is98wtIDGnpmI",
"name": "test",
"email": "test@test.com",
"others": {
"__submissions_other_field__": "john@deo.com",
"__custom_field_id__": "20",
"eventData": {
"fbc": "fb.1.123456789.987654321",
"fbp": "fbp.1.987654321.123456789",
"page": {
"url": "https://example.com",
"title": "Example Page"
},
"type": "page-visit",
"domain": "example.com",
"medium": "form",
"source": "Direct traffic",
"version": "v3",
"adSource": "example-ad-source",
"mediumId": "medium-id-123",
"parentId": "parent-id-456",
"referrer": "https://staging.gohighlevel.com",
"fbEventId": "event-id-789",
"timestamp": 1234567890,
"parentName": "Parent Form",
"fingerprint": "example-fingerprint",
"pageVisitType": "form",
"contactSessionIds": {
"ids": [
"session1",
"session2"
]
}
},
"fieldsOriSequance": [
"full_name",
"first_name",
"last_name",
"phone",
"email"
],
"pdfUrl": "https://storage.googleapis.com/gohighlevel-forms-pdfs/location/ve9EPM428h8vShlRW1KT/form/DWQ45t2IPVxi9LDu1wBl/submission-pdf/38303ec7-629a-49e2-888a-cf8bf0b1f97e.pdf"
}
}
],
"meta": {
"total": 1,
"currentPage": 1,
"nextPage": null,
"prevPage": null
}
}Use the Access Token generated with user type as Sub-Account (OR) Private Integration Token of Sub-Account.
API Version
2021-07-28 "ve9EPM428h8vShlRW1KT"
Page No. By default it will be 1
1
Limit Per Page records count. will allow maximum up to 100 and default will be 20
20
Filter submission by form id
"jjusM6EOngDExnbo2DbU"
Filter by contactId, name, email or phone no.
"john@deo.com"
Get submission by starting of this date. By default it will be same date of last month(YYYY-MM-DD).
"2020-11-14"
Get submission by ending of this date. By default it will be current date(YYYY-MM-DD).
"2020-12-14"
Product type
"form"
When true, only return external form submissions. When false/undefined, return regular form submissions only.
true
Was this page helpful?